png::pixel_buffer< pixel > Class Template Reference

`#include <pixel_buffer.hpp>`

Inheritance diagram for png::pixel_buffer< pixel >:

## Public Member Functions

| pixel_buffer ()
| pixel_buffer (uint_32 width, uint_32 height)
Public Member Functions inherited from png::basic_pixel_buffer< pixel, std::vector< pixel > >
| basic_pixel_buffer ()
| Constructs an empty 0x0 pixel buffer object.
| basic_pixel_buffer (uint_32 width, uint_32 height)
| Constructs an empty pixel buffer object.
uint_32 | get_width () const
uint_32 | get_height () const
void | resize (uint_32 width, uint_32 height)
| Resizes the pixel buffer.
row_access | get_row (size_t index)
| Returns a reference to the row of image data at specified index.
row_const_access | get_row (size_t index) const
| Returns a const reference to the row of image data at specified index.
row_access | operator[] (size_t index)
| The non-checking version of get_row() method.
row_const_access | operator[] (size_t index) const
| The non-checking version of get_row() method.
void | put_row (size_t index, row_type const &r)
| Replaces the row at specified index.
pixel | get_pixel (size_t x, size_t y) const
| Returns a pixel at (x,y) position.
void | set_pixel (size_t x, size_t y, pixel p)
| Replaces a pixel at (x,y) position.

## Additional Inherited Members

Public Types inherited from png::basic_pixel_buffer< pixel, std::vector< pixel > >
typedef std::vector< pixel > | row_type
| A row of pixel data.
typedef row_type & | row_access
typedef row_type const & | row_const_access
typedef row_traits< std::vector< pixel > > | row_traits
Protected Types inherited from png::basic_pixel_buffer< pixel, std::vector< pixel > >
typedef std::vector< row_type > | row_vec
Protected Attributes inherited from png::basic_pixel_buffer< pixel, std::vector< pixel > >
uint_32 | m_width
uint_32 | m_height
row_vec | m_rows

## Detailed Description

template<typename pixel>
class png::pixel_buffer< pixel >

The pixel_buffer specialization for unpacked pixels.

## Constructor & Destructor Documentation

## pixel_buffer() [1/2]

template<typename pixel >

png::pixel_buffer< pixel >::pixel_buffer | ( |  | ) |

inline

## pixel_buffer() [2/2]

template<typename pixel >

png::pixel_buffer< pixel >::pixel_buffer | ( | uint_32 | width,
|  | uint_32 | height
| ) |  |

inline

The documentation for this class was generated from the following file:

- pixel_buffer.hpp